Subject: BUG in CYGWIN's implementation of GDB?
From: Thomas Mellman <[email-masked]>
To: [email-masked]
Date: Thu, 17 Oct 2002 11:28:32 +0200

I think I've encountered a bug in GDB.

Although "help run" says the following:

> (gdb) help run
> Start debugged program.  You may specify arguments to give it.
> Args may include "*", or "[...]"; they are expanded using "sh".
> Input and output redirection with ">", "<", or ">>" are also allowed.

if  you say:

    (gdb) r < eg/10.gtl

then the following is true:

    argv[1] = '<'
    argv[2] = 'eg/10.gtl'

and naturally, stdin is ... well, stdin.

This is not the behaviour on my linux system at home and is - AFAICT - wrong.

On the graphical version of GDB, I see no menu item for setting the runtime
arguments at all, but I only studied it for 10 minutes or so.

-- 

----------------
Thomas Mellman
[email-masked]
________________________________________________________________
Keine verlorenen Lotto-Quittungen, keine vergessenen Gewinne mehr! 
Beim WEB.DE Lottoservice: http://tippen2.web.de/?x=13

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/